# CythonExtensionManager class

(Shortest import: `from brian2.codegen.runtime.cython_rt.extension_manager import CythonExtensionManager)`

class brian2.codegen.runtime.cython_rt.extension_manager.CythonExtensionManager

  Bases: `object`

  Attributes

  `so_ext` | The extension suffix for compiled modules.

  Methods

  `create_extension`(code[, force, name, ...]) |

  Details

  so_ext

    The extension suffix for compiled modules.

  create_extension(code, force=False, name=None, define_macros=None, include_dirs=None, library_dirs=None, runtime_library_dirs=None, extra_compile_args=None, extra_link_args=None, libraries=None, compiler=None, sources=None, owner_name='')